Package org.eclipse.birt.chart.model.data

# Class ScriptExpression

java.lang.Object
org.eclipse.birt.chart.model.data.ScriptExpression

public class ScriptExpression extends Object

## Constructor Summary

Constructors
Constructor
Description
`ScriptExpression()`
`ScriptExpression(String type)`
`ScriptExpression(String type, String value)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getType()`
`String`
`getValue()`
`void`
`setType(String type)`
`void`
`setValue(String value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScriptExpression

public ScriptExpression()

### ScriptExpression

public ScriptExpression(String type)

### ScriptExpression

public ScriptExpression(String type, String value)

## Method Details

### getType

public String getType()

### setType

public void setType(String type)

### getValue

public String getValue()

### setValue

public void setValue(String value)